﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Airlines.Persistence.Basic.Models;

[Index("Code", Name = "IX_Airports_Code")]
[Index("Name", Name = "IX_Airports_Name")]
public partial class Airport
{
    [Key]
    public int ID { get; set; }

    [StringLength(100)]
    [Unicode(false)]
    public string Name { get; set; }

    [StringLength(100)]
    [Unicode(false)]
    public string Country { get; set; }

    [StringLength(100)]
    [Unicode(false)]
    public string City { get; set; }

    [StringLength(3)]
    [Unicode(false)]
    public string Code { get; set; }

    public int? Runways_count { get; set; }

    public DateOnly? Founded { get; set; }

    [InverseProperty("Arrival")]
    public virtual ICollection<Flight> FlightArrivals { get; set; } = new List<Flight>();

    [InverseProperty("Departure")]
    public virtual ICollection<Flight> FlightDepartures { get; set; } = new List<Flight>();
}